/ api / name / gb.returnnewzerostring
GB.ReturnNewZeroString
Syntax

    void GB.ReturnNewZeroString ( const char *src )

Returns a String value to the caller of the method or property.

- str is the string to be returned.

The string returned is a copy of the string src allocated by the interpreter. src must be a null terminated string.

You must use this function if you know that the string you want to return is not managed by the interpreter, but by your component or a library it depends on.

| This function does not abort the method or property. You must explicitely return from it by using the `return` instruction.

### See also

Returning Strings